Page MenuHomePhabricator

Locally override the name of crh from "Crimean Turkish" to "Crimean Tatar"
Open, Needs TriagePublic

Description

In several places, the English name for Qırımtatarca is given as "Crimean Turkish", "Crimean Tatar" is the preferred name in English.

The English Wikipedia page on the language has "Crimean Tatar language" as its title (noting "also called Crimean Turkish"). Ethnologue lists "Crimean Tatar" as the main name, as does the Library of Congress Subject Headings.

Two places it occurs include "Languages" links on English Wikipedia (e.g., on the Crimean Tatar language enwiki page) where the tooltip for "Qırımtatarca" says "Crimean Turkish", and in the widget that let's you search for languages, where "Crimean" auto-completes to "Crimean Turkish" and "Crimean Tatar" doesn't match anything.

The primary variant name should be "Crimean Tatar" (e.g., on the Qırımtatarca link under "languages") in both those places and elsewhere. It would be nice if both "Crimean Tatar" and "Crimean Turkish" worked in the search widget, but if there can be only one, then "Crimean Tatar" is the one.

See also T240350.

Details

Related Gerrit Patches:
mediawiki/extensions/cldr : masterRename crh from "Crimean Turkish" to "Crimean Tatar"
mediawiki/extensions/WikimediaMessages : masterRename crh from "Crimean Turkish" to "Crimean Tatar"

Event Timeline

TJones created this task.Mar 12 2018, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2018, 5:12 PM

I'm not sure where this info is kept, so I'm not sure what project it should belong to.

and in the widget that let's you search for languages

That should be ULS (which gets its data from CLDR).

But there is also a place in WikimediaMessages.

Jayprakash12345 closed this task as Resolved.Mar 12 2018, 6:33 PM
Jayprakash12345 claimed this task.

https://gerrit.wikimedia.org/r/#/c/418964/

Both Patch has merged. Thanks to https://codesearch.wmflabs.org, which make Searching string easy on the whole repo.

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptMar 12 2018, 6:33 PM
Nikerabbit reopened this task as Open.Mar 13 2018, 8:21 AM
Nikerabbit added a subscriber: Nikerabbit.

Files in CldrNames should not be modified manually. The changes will be overwritten in next cldr update. The proper process is to submit a change request to cldr.

Thanks, @Nikerabbit. I've opened a ticket with CLDR. I guess that's all we can do; should we go ahead and close the ticket here?

I believe you could put in an override in LocalNamesEn.php with a good justification. @Nemo_bis can you check that the ticket meets expectations?

Jayprakash12345 removed Jayprakash12345 as the assignee of this task.Mar 21 2018, 5:02 AM
TJones added a comment.May 2 2018, 2:46 PM

@Jayprakash12345's patch has resulted in the change being made, at least temporarily. @Nemo_bis, do you think this is worthy of inclusion in LocalNamesEn.php? If so, I'll try to make that change. Thanks!

I believe you could put in an override in LocalNamesEn.php with a good justification. @Nemo_bis can you check that the ticket meets expectations?

@Nemo_bis, do you have any thoughts on this? Anyone else? There's been no action on the CLDR ticket, so I think fixing this locally would be nice, if it makes sense.

TJones renamed this task from Rename crh from "Crimean Turkish" to "Crimean Tatar" to Locally override the name of crh from "Crimean Turkish" to "Crimean Tatar".Dec 10 2019, 3:58 PM
TJones updated the task description. (Show Details)

It's been another six months. Is there anything I can do to encourage a review of this to see if a local override is warranted?

I believe you could put in an override in LocalNamesEn.php with a good justification. @Nemo_bis can you check that the ticket meets expectations?

Hm, https://unicode-org.atlassian.net/browse/CLDR-10991 is not accepted yet, although the only comment from the committee seems positive. It may be worth asking an update there, or adding at least another source. LOC's and Ethnologue are linguistic databases just like CLDR so it can get a bit circular.

@Nemo_bis, thanks for the advice. I've commented over there asking for an update, and added a link to Britannica.

I'm not sure how their process works, or how to interpret it, but the full history shows that the status went from "New" to "Accepted" and then later, when it was assigned, the status went back to "New". Weird.

Any decisions on this? Crimean Tatar is a common name, it is used far more often than the so-called "Crimean Turkish", Britannica, Ethnology, UN - all use Crimean Tatar as the main name.

@Aklapper , I've already seen that, but there is no decision there either

See previous comments: The decision needs to take place in upstream, and that's CLDR. Wikimedia is blocked as long as CLDR does not decide.

See previous comments: The decision needs to take place in upstream, and that's CLDR. Wikimedia is blocked as long as CLDR does not decide.

Is that necessarily the case? Based on comments from @Nikerabbit and @Nemo_bis above, it seems like a local override is possible with "a good justification". I'm not sure what qualifies, but it I think @Devlet_Geray (thanks for bumping this up again!) or I might be able to find more evidence from a wider variety of academic or other sources if that's all it takes.

Would a discussion on the CRH village pump be informative? Some people there speak English, and have helped me in the past.

Hmmm.. The Crimean Tatars have been members of the UNPO ("Underrepresented Nations and Peoples Organization") since 1991 (according to Wikipedia), and their page on the UNPO site only uses "Crimean Tatar". Searching for "Crimean Turkish" (with quotes) gives zero results. "Crimean Tatar" gives 700+ and "Crimean Tatar language" gives 74. So, "Crimean Tatar" seems to be the way they represent themselves in English.

Is there any other kind of justification that would warrant the local override until CLDR acts?